

local M = {}
-- Y轴偏移值
local DevY = 10
---------------关卡配置表---------------
-- spotPosTab数字的坐标集合(节点局部坐标)
-- linePosTab线条的坐标集合(节点局部坐标)
M.itemInfo = {
    -- 关卡从2开始计数，因为连数字至少是2,索引1为空表
    {},
    -- 西瓜
    {
        spotPosTab = {
            ccp(189.2, 348.2+DevY), ccp(379.4, 12.5+DevY), ccp(1.1, 12.5+DevY),
        },
        linePosTab = {
            ccp(299.3, 189.2+DevY), ccp(199.5, 13.5+DevY), ccp(99.6, 190.3+DevY),
        },
        lineDirTab = {
            "down", "left", "up"
        }
    },

    -- 礼物盒
    {
        spotPosTab = {
            ccp(-0.4, 311.8+DevY), ccp(449.4, 311.7+DevY), ccp(451.2, 6.0+DevY), ccp(0.8, 4.2+DevY), 
        },
        linePosTab = {
            ccp(231.1, 313.8+DevY), ccp(455.9, 160.6+DevY), ccp(231.2, 8.2+DevY), ccp(8.1, 160.7+DevY),
        },
        lineDirTab = {
            "right", "down", "left", "up"
        }
    },

    -- 皮球
    {
        spotPosTab = {
            ccp(169.1, 330.6+DevY), ccp(296.0, 262.2+DevY), ccp(295.4, 63.8+DevY), ccp(35.4, 62.1+DevY), ccp(32.7, 260.0+DevY),
        },
        linePosTab = {
            ccp(238.7, 306.4+DevY), ccp(318.7, 173.0+DevY), ccp(171.9, 38.3+DevY), ccp(24.9, 173.0+DevY), ccp(104.1, 306.3+DevY),
        },
        lineDirTab = {
            "right", "down", "left", "up", "right"
        }
    },

    -- 蝴蝶
    {
        spotPosTab = {
            ccp(190.6, 230.7+DevY), ccp(248.7, 228.0+DevY), ccp(358.2, 83.9+DevY), ccp(247.6, 49.5+DevY), ccp(192.3, 48.6+DevY),
            ccp(83.8, 86.8+DevY),
        },
        linePosTab = {
            ccp(221.4, 289.5+DevY), ccp(344.1, 189.9+DevY), ccp(304.5, 47.1+DevY), ccp(221.7, 46.6+DevY), ccp(136.9, 46.9+DevY),
            ccp(100.3, 190.2+DevY),
        },
        lineDirTab = {
            "right", "down", "left", "left", "left", "up"
        }
    },

    -- 车
    {
        spotPosTab = {
            ccp(220.2, 334.5+DevY), ccp(348.8, 187.7+DevY), ccp(391.9, 47.1+DevY), ccp(289.2, 46.2+DevY), ccp(148.0, 46.9+DevY), 
            ccp(41.7, 48.3+DevY), ccp(91.4, 189.9+DevY),
        },
        linePosTab = {
            ccp(295.5, 267.6+DevY), ccp(401.4, 123.7+DevY), ccp(350.9, 29.4+DevY), ccp(227.4, 53.4+DevY), ccp(103.3, 29.4+DevY),
            ccp(51.6, 123.6+DevY), ccp(157.2, 266.5+DevY),
        },
        lineDirTab = {
            "right", "down", "left", "left", "left", "up", "right"
        }
    },

    -- 飞机
    {
        spotPosTab = {
            ccp(253.7, 360.4+DevY), ccp(399.6, 255.3+DevY), ccp(350.1, 69.6+DevY), ccp(157.5, 33.0+DevY), ccp(21.3, 7.0+DevY), 
            ccp(53.9, 41.9+DevY), ccp(0.4, 186.9+DevY), ccp(96.7, 159.3+DevY),
        },
        linePosTab = {
            ccp(338.9, 313.6+DevY), ccp(389.5, 171.2+DevY), ccp(261.4, 58.8+DevY), ccp(96.9, 24.4+DevY), ccp(47.6, 30.6+DevY),
            ccp(33.9, 122.5+DevY), ccp(58.0, 181.6+DevY), ccp(176.8, 265.7+DevY),
        },
        lineDirTab = {
            "right", "down", "left", "left", "right", "up", "right", "right"
        }
    },

    -- 蛋糕
    {
        spotPosTab = {
            ccp(181.0, 291.8+DevY), ccp(306.5, 291.3+DevY), ccp(306.9, 170.6+DevY), ccp(360.7, 170.4+DevY), ccp(361.3, 2.4+DevY),
            ccp(0.6, 1.3+DevY), ccp(-0.5, 169.1+DevY), ccp(54.9, 171.0+DevY), ccp(54.2, 289.1+DevY),
        },
        linePosTab = {
            ccp(250.5, 296.6+DevY), ccp(314.0, 236.4+DevY), ccp(340.0, 177.4+DevY), ccp(367.7, 91.5+DevY), ccp(188.0, 8.4+DevY),
            ccp(8.1, 91.2+DevY), ccp(35.7, 175.9+DevY), ccp(62.6, 235.5+DevY), ccp(122.8, 296.1+DevY),
        },
        lineDirTab = {
            "right", "down", "right", "down", "left", "up", "right", "up", "right"
        }
    },

    -- 树
    {
        spotPosTab = {
            ccp(128.2, 353.7+DevY), ccp(240.7, 324.3+DevY), ccp(300.8, 244.1+DevY), ccp(274.4, 127.7+DevY), ccp(199.0, 126.3+DevY),
            ccp(201.5, 21.0+DevY), ccp(133.7, 20.0+DevY), ccp(132.7, 126.6+DevY), ccp(59.3, 127.4+DevY), ccp(45.8, 280.8+DevY), 
        },
        linePosTab = {
            ccp(189.9, 354.9+DevY), ccp(274.6, 293.0+DevY), ccp(315.4, 192.4+DevY), ccp(244.7, 133.8+DevY), ccp(206.5, 77.3+DevY),
            ccp(173.1, 16.3+DevY), ccp(140.8, 79.3+DevY), ccp(107.2, 134.8+DevY), ccp(36.1, 209.9+DevY), ccp(93.2, 321.8+DevY),
        },
        lineDirTab = {
            "right", "down", "down", "left", "down", "left", "up", "left", "up", "right"
        }
    },

    -- 皇冠
    {
        spotPosTab = {
            ccp(232.6, 307.7+DevY),  ccp(288.7, 155.2+DevY),  ccp(360.8, 229.0+DevY),  ccp(404.1, 148.3+DevY),  ccp(453.1, 177.2+DevY),
            ccp(409.9, 0.9+DevY),  ccp(58.8, -1.6+DevY),  ccp(12.2, 177.5+DevY),  ccp(60.5, 149.6+DevY),  ccp(103.3, 229.5+DevY),
            ccp(179.3, 155.9+DevY),
        },
        linePosTab = {
            ccp(271.3, 238.0+DevY), ccp(331.7, 202.5+DevY), ccp(390.2, 201.4+DevY), ccp(436.8, 174.3+DevY), ccp(446.2, 101.8+DevY),
            ccp(238.7, 8.4+DevY), ccp(34.3, 102.1+DevY), ccp(43.6, 184.7), ccp(89.3, 201.1+DevY), ccp(148.1, 202.9+DevY),
            ccp(207.7, 238.1+DevY),
        },
        lineDirTab = {
            "down", "right", "down", "right", "down", "left", "up", "right", "up", "right", "up"
        }
    },
}

return M



