

local DevY = -50  -- 形状的Y轴偏移值

local M = {}
---------------关卡配置表---------------
M.shapeInfo = {
    -- 三角形
    {
        shapeName = "sanjiao",
        -- 轮廓点集合
        points = {
            ccp(480+X_OFFSET, 409+DevY+Y_OFFSET), ccp(466+X_OFFSET, 400+DevY+Y_OFFSET), ccp(326+X_OFFSET, 161+DevY+Y_OFFSET), 
            ccp(323+X_OFFSET, 143+DevY+Y_OFFSET), ccp(336+X_OFFSET, 131+DevY+Y_OFFSET), ccp(626+X_OFFSET, 129+DevY+Y_OFFSET),
            ccp(636+X_OFFSET, 140+DevY+Y_OFFSET), ccp(636+X_OFFSET, 156+DevY+Y_OFFSET), ccp(496+X_OFFSET, 400+DevY+Y_OFFSET), 
            ccp(480+X_OFFSET, 409+DevY+Y_OFFSET),
        },
        -- 点击操作停顿点在集合中的下标
        pauseIndexTab = {1, 4, 7, 10},
        -- 颜色
        color = cc.c3b(243, 80, 122),
    },

    -- 正方形
    {
        shapeName = "fang",
        points = {
            ccp(354+X_OFFSET, 389+DevY+Y_OFFSET), ccp(352+X_OFFSET, 372+DevY+Y_OFFSET), ccp(352+X_OFFSET, 168+DevY+Y_OFFSET), 
            ccp(355+X_OFFSET, 150+DevY+Y_OFFSET),ccp(373+X_OFFSET, 145+DevY+Y_OFFSET), ccp(592+X_OFFSET, 145+DevY+Y_OFFSET), 
            ccp(607+X_OFFSET, 152+DevY+Y_OFFSET), ccp(611+X_OFFSET, 166+DevY+Y_OFFSET), ccp(610+X_OFFSET, 372+DevY+Y_OFFSET),
            ccp(605+X_OFFSET, 389+DevY+Y_OFFSET), ccp(589+X_OFFSET, 393+DevY+Y_OFFSET), ccp(369+X_OFFSET, 392+DevY+Y_OFFSET), 
            ccp(354+X_OFFSET, 389+DevY+Y_OFFSET),
        },
        pauseIndexTab = {1, 4, 7, 10, 13},
        color = cc.c3b(69, 227, 255),
    },

    -- 长方形
    {
        shapeName = "jv",
        points = {
            ccp(370+X_OFFSET, 420+DevY+Y_OFFSET), ccp(368+X_OFFSET, 404+DevY+Y_OFFSET), ccp(368+X_OFFSET, 135+DevY+Y_OFFSET), 
            ccp(371+X_OFFSET, 118+DevY+Y_OFFSET), ccp(387+X_OFFSET, 112+DevY+Y_OFFSET), ccp(571+X_OFFSET, 111+DevY+Y_OFFSET), 
            ccp(586+X_OFFSET, 117+DevY+Y_OFFSET), ccp(594+X_OFFSET, 132+DevY+Y_OFFSET), ccp(593+X_OFFSET, 407+DevY+Y_OFFSET), 
            ccp(589+X_OFFSET, 422+DevY+Y_OFFSET), ccp(573+X_OFFSET, 427+DevY+Y_OFFSET), ccp(385+X_OFFSET, 428+DevY+Y_OFFSET), 
            ccp(370+X_OFFSET, 420+DevY+Y_OFFSET),
        },
        pauseIndexTab = {1, 4, 7, 10, 13},
        color = cc.c3b(199, 240, 102),
    },

    -- 圆形
    {
        shapeName = "yuan",
        points = {
            ccp(483+X_OFFSET, 417+DevY+Y_OFFSET), ccp(422+X_OFFSET, 405+DevY+Y_OFFSET), ccp(374+X_OFFSET, 375+DevY+Y_OFFSET), 
            ccp(341+X_OFFSET, 323+DevY+Y_OFFSET), ccp(330+X_OFFSET, 265+DevY+Y_OFFSET), ccp(346+X_OFFSET, 206+DevY+Y_OFFSET), 
            ccp(380+X_OFFSET, 160+DevY+Y_OFFSET), ccp(428+X_OFFSET, 131+DevY+Y_OFFSET), ccp(483+X_OFFSET, 119+DevY+Y_OFFSET), 
            ccp(538+X_OFFSET, 132+DevY+Y_OFFSET), ccp(583+X_OFFSET, 163+DevY+Y_OFFSET), ccp(615+X_OFFSET, 208+DevY+Y_OFFSET), 
            ccp(630+X_OFFSET, 266+DevY+Y_OFFSET), ccp(619+X_OFFSET, 324+DevY+Y_OFFSET), ccp(585+X_OFFSET, 376+DevY+Y_OFFSET), 
            ccp(540+X_OFFSET, 406+DevY+Y_OFFSET), ccp(483+X_OFFSET, 417+DevY+Y_OFFSET),
        },
        pauseIndexTab = {1, 5, 9, 13, 17},
        color = cc.c3b(255, 212, 40),
    },

    -- 星形
    {
        shapeName = "xing",
        points = {
            ccp(479+X_OFFSET, 427+DevY+Y_OFFSET), ccp(459+X_OFFSET, 415+DevY+Y_OFFSET), ccp(425+X_OFFSET, 330+DevY+Y_OFFSET), 
            ccp(331+X_OFFSET, 323+DevY+Y_OFFSET), ccp(316+X_OFFSET, 305+DevY+Y_OFFSET), ccp(324+X_OFFSET, 285+DevY+Y_OFFSET),
            ccp(392+X_OFFSET, 229+DevY+Y_OFFSET), ccp(369+X_OFFSET, 139+DevY+Y_OFFSET), ccp(378+X_OFFSET, 119+DevY+Y_OFFSET), 
            ccp(399+X_OFFSET, 113+DevY+Y_OFFSET), ccp(481+X_OFFSET, 164+DevY+Y_OFFSET), ccp(560+X_OFFSET, 113+DevY+Y_OFFSET),
            ccp(581+X_OFFSET, 119+DevY+Y_OFFSET), ccp(592+X_OFFSET, 138+DevY+Y_OFFSET), ccp(565+X_OFFSET, 227+DevY+Y_OFFSET), 
            ccp(635+X_OFFSET, 284+DevY+Y_OFFSET), ccp(643+X_OFFSET, 305+DevY+Y_OFFSET), ccp(629+X_OFFSET, 323+DevY+Y_OFFSET), 
            ccp(534+X_OFFSET, 329+DevY+Y_OFFSET), ccp(501+X_OFFSET, 416+DevY+Y_OFFSET), ccp(479+X_OFFSET, 427+DevY+Y_OFFSET), 
        },
        pauseIndexTab = {1, 5, 9, 13, 17, 21},
        color = cc.c3b(255, 206, 9),
    },

    -- 爱心形
    {
        shapeName = "xin",
        points = {
            ccp(479+X_OFFSET, 363+DevY+Y_OFFSET), ccp(437+X_OFFSET, 381+DevY+Y_OFFSET), ccp(388+X_OFFSET, 376+DevY+Y_OFFSET), 
            ccp(350+X_OFFSET, 349+DevY+Y_OFFSET), ccp(332+X_OFFSET, 306+DevY+Y_OFFSET), ccp(341+X_OFFSET, 258+DevY+Y_OFFSET), 
            ccp(371+X_OFFSET, 223+DevY+Y_OFFSET), ccp(399+X_OFFSET, 199+DevY+Y_OFFSET), ccp(435+X_OFFSET, 176+DevY+Y_OFFSET), 
            ccp(483+X_OFFSET, 155+DevY+Y_OFFSET), ccp(525+X_OFFSET, 176+DevY+Y_OFFSET), ccp(563+X_OFFSET, 202+DevY+Y_OFFSET), 
            ccp(599+X_OFFSET, 231+DevY+Y_OFFSET), ccp(624+X_OFFSET, 269+DevY+Y_OFFSET), ccp(627+X_OFFSET, 315+DevY+Y_OFFSET),
            ccp(604+X_OFFSET, 355+DevY+Y_OFFSET), ccp(566+X_OFFSET, 380+DevY+Y_OFFSET), ccp(522+X_OFFSET, 382+DevY+Y_OFFSET), 
            ccp(479+X_OFFSET, 363+DevY+Y_OFFSET),
        },
        pauseIndexTab = {1, 4, 7, 10, 13, 16, 19},
        color = cc.c3b(246, 73, 81),
    }
}

M.itemInfo = {
    pos = {
        -- 三明治, 饭团, 帽子, 山, 粽子
        {ccp(403.2, -29.6), ccp(405.5, -38.8), ccp(409.6, -13.1), ccp(410.9, -31.9), ccp(412.4, -26.2)},
        -- 抱枕, 吐司面包, 骰子, 魔方, 窗户
        {ccp(368.8, 3.9), ccp(373.5, -13.5), ccp(375.3, 0.5), ccp(384.4, 2.6), ccp(377.0, 11.0)},
        -- 手机, 牛奶盒, 吐抽纸盒, 书本, 门
        {ccp(366.4, -8.3), ccp(372.2, -22.5), ccp(394.1, -83.6), ccp(386.1, -11.3), ccp(373.9, -1.8)},
        -- 西瓜, 钟表, 冰淇淋球, 球, 吐泡泡
        {ccp(408, -29.2), ccp(408.9, -27.3), ccp(418.6, -29.3), ccp(412.0, -30.1), ccp(411.9, -15.8)},
        -- 饼干, 杨桃, 海星, 宝石, 星星
        {ccp(365.3, -33.3), ccp(389.9, -45), ccp(367.3, -26.5), ccp(372.9, -21), ccp(371.2, -38.5)},
        -- 巧克力, 吐树叶, 桃子, 糖果, 吐贺卡
        {ccp(381.7, -10.3), ccp(381.1, 16.2), ccp(377.6, -7.1), ccp(380.3, -10.9), ccp(372.7, -7.4)},
    },

    -- 实物退场方式:
    -- 1.往右下角跳出去动作（类似涂色的青蛙跳）
    -- 2.弹跳出去动作
    -- 3.向右前方一步跳出动作
    -- 4.向右滚动出去
    -- 5.摇晃出去
    -- 6.飘出去
    getOutTypeTab = {
        {1, 1, 1, 1, 1},
        {2, 2, 2, 2, 2},
        {3, 3, 3, 3, 3},
        {4, 4, 4, 4, 6},
        {5, 5, 5, 5, 5},
        {2, 6, 2, 2, 6},
    },
    
    worldPos = {
        -- 三明治, 饭团, 帽子, 山, 粽子
        {ccp(659, 193.6), ccp(659, 197.6), ccp(661.4, 205.6), ccp(663, 196), ccp(664.6, 191.2)},
        -- 抱枕, 吐司面包, 骰子, 魔方, 窗户
        {ccp(629.8, 222), ccp(633.8, 209.2), ccp(637, 222), ccp(638.6, 222.8), ccp(634.6, 228.4)},
        -- 手机, 牛奶盒, 吐抽纸盒, 书本, 门
        {ccp(626.6, 212.8), ccp(630.6, 204.8), ccp(643.4, 156.8), ccp(648.2, 214.4), ccp(635.4, 217.6)},
        -- 西瓜, 钟表, 冰淇淋球, 球, 吐泡泡
        {ccp(662.2, 196.8), ccp(663, 207.2), ccp(667, 199.2), ccp(664.6, 194.4), ccp(669.4, 207.2)},
        -- 饼干, 杨桃, 海星, 宝石, 星星
        {ccp(627.7, 197.6), ccp(646.9, 184), ccp(627.7, 209.6), ccp(633.3, 203.2), ccp(633.3, 186.4)},
        -- 巧克力, 吐树叶, 桃子, 糖果, 吐贺卡
        {ccp(636.6, 219.7), ccp(646.2, 228.5), ccp(636.6, 219.7), ccp(639, 218.9), ccp(640.6, 222.9)},
    },
}

return M