

local M = {}
---------------数字拼合对象配置表---------------

M.outlineInfo = {
    scale = 0.8,
    -- 虚线框的世界坐标
    pos = ccp(480+X_OFFSET, 260+Y_OFFSET)
}

M.carInfo = {
    {
        -- 车子节点缩放的倍数
        scale = 1.8,
        -- 初始位置的世界坐标
        pos = ccp(777.6+X_OFFSET*2 , 80.9),
    },
    {
        scale = 1.8,
        pos = ccp(800+X_OFFSET*2, 98.4)
    },
    {
        scale = 1.8,
        pos = ccp(800+X_OFFSET*2, 101.8)
    },
}

M.numberInfo = {
    {
        -- 在车上显示的初始倍数
        scale     = 0.45,
        -- 拖动时显示的倍数
        moveScale = 0.8,
        -- 在mainLayer上的全局坐标
        pos = ccp(695.0+X_OFFSET*2, 187.4),
    },
    {
        scale     = 0.45,
        moveScale = 0.8,
        pos = ccp(738.4+X_OFFSET*2, 161.1),
    },
    {
        scale     = 0.45,
        moveScale = 0.8,
        pos = ccp(789.3+X_OFFSET*2, 265.7),
    }
}

M.itemInfo = {
    -- 各数字的实物ID表
    itemIdTab = {
       {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, {1, 2}, 
    },
    -- 各实物的缩放倍数
    scaleTab = {
        {0.7, 0.7}, {0.85, 0.7}, {0.7, 0.75}, {0.7, 0.65}, {0.8, 0.75}, {0.75, 0.75}, {0.65, 0.7}, {0.7, 0.65}, {0.8, 0.7}, {0.8, 0.75}, 
    },
    -- 各实物的锚点
    anchorTab = {
       {ccp(0.5, 0), ccp(0.5, 0)}, {ccp(0.5, 0), ccp(0.5, 0)}, {ccp(0.5, 0), ccp(0.5, 0)}, 
       {ccp(0.8, 0), ccp(0.72, 0)}, {ccp(0.33, 0), ccp(0.35, 0)}, {ccp(0.5, 0), ccp(0.59, 0)}, 
       {ccp(0.7, 0), ccp(0.76, 0)}, {ccp(0.5, 0), ccp(0.5, 0)}, {ccp(0.3, 0), ccp(0.84, 0)}, 
       {ccp(0.5, 0), ccp(0.5, 0)}, 
    },
}

M.boneInfo = {
    -- 骨骼的缩放倍数
    scale = 1.45,
    -- 在数字节点上的局部坐标
	posTab = {
        ccp(151.5, 154.5), ccp(148.7, 156.4), ccp(148.6, 156.0), ccp(162.4, 186.2), ccp(148.3, 163.2),
		ccp(150.6, 147.9), ccp(148.7, 167.7), ccp(148.0, 156.6), ccp(147.3, 163.6), ccp(136.1, 166.3)
	},
}

return M